Setting pvfCheckingEnabled In The Configuration To TRUE
Democracy
0 Comments
Started

This proposal aims to enable pre-checking for runtime upgrade on parachains: With pre-checking enabled a parachain is only allowed to upgrade their runtime after validators have tried compiling it and they agree it is good, as opposed to just accepting it blindly and then fail when the parachain tries to produce blocks with the new runtime. This is just generally a good idea, exists for a while already and has been successfully tested on Versi, Rococo and Westend. It is also required for rolling out slashing as it helps reducing the risk of unjustified slashes.

Parachains need to support the go_ahead_signal, but that should be a non issue as this has been introduced over a year ago.

  • Call to be enacted: HERE.

Preimage is submitted. Make sure to review and vote at your convenience!

Polkassembly
Reply
Up
Share
Votes
50%Aye
50%Nay
Aye
0 DOT
Nay
0 DOT
Turnout
0 DOT
Electorate
0 DOT
Failing
Check all votes
Metadata
Proposer
Hash
Delay
0
End
0
Threshold
Call
Table
Json
callIndex0x3329
sectionconfiguration
methodsetPvfCheckingEnabled
args
newtrue
TimelineLatest activity undefined
2023-01-23 16:07:36
Started
referendumIndex
100
voteThreshold
SimpleMajority
Comments
SubSquare
Polkassembly
There are no comments here